
package io.github.zyrouge.symphony.services.i18n

import org.json.JSONObject

@Suppress("ClassName")
open class _Translation(val json: JSONObject) {
    private val _localeJson = json.getJSONObject("locale")
    private val _keysJson = json.getJSONObject("keys")

    val LocaleDisplayName: String get() = _localeJson.getString("display")
    val LocaleNativeName: String get() = _localeJson.getString("native")
    val LocaleCode: String get() = _localeJson.getString("code")
    val LocaleDirection: String get() = _localeJson.getString("direction")

    val UnknownSymbol: String get() = _keysJson.getString("UnknownSymbol")
    val HelloThere: String get() = _keysJson.getString("HelloThere")
    val IntroductoryMessage: String get() = _keysJson.getString("IntroductoryMessage")
    val Songs: String get() = _keysJson.getString("Songs")
    val Artists: String get() = _keysJson.getString("Artists")
    val Albums: String get() = _keysJson.getString("Albums")
    val Settings: String get() = _keysJson.getString("Settings")
    val Details: String get() = _keysJson.getString("Details")
    val Path: String get() = _keysJson.getString("Path")
    val Filename: String get() = _keysJson.getString("Filename")
    val Size: String get() = _keysJson.getString("Size")
    val DateAdded: String get() = _keysJson.getString("DateAdded")
    val LastModified: String get() = _keysJson.getString("LastModified")
    val Length: String get() = _keysJson.getString("Length")
    val Bitrate: String get() = _keysJson.getString("Bitrate")
    val TrackName: String get() = _keysJson.getString("TrackName")
    val Artist: String get() = _keysJson.getString("Artist")
    val Album: String get() = _keysJson.getString("Album")
    val AlbumArtist: String get() = _keysJson.getString("AlbumArtist")
    val Composer: String get() = _keysJson.getString("Composer")
    val NothingIsBeingPlayedRightNow: String get() = _keysJson.getString("NothingIsBeingPlayedRightNow")
    val AddToQueue: String get() = _keysJson.getString("AddToQueue")
    val Queue: String get() = _keysJson.getString("Queue")
    val PlayNext: String get() = _keysJson.getString("PlayNext")
    val NowPlaying: String get() = _keysJson.getString("NowPlaying")
    val Language_: String get() = _keysJson.getString("Language_")
    val MaterialYou: String get() = _keysJson.getString("MaterialYou")
    val System: String get() = _keysJson.getString("System")
    val Light: String get() = _keysJson.getString("Light")
    val Dark: String get() = _keysJson.getString("Dark")
    val Black: String get() = _keysJson.getString("Black")
    val ViewArtist: String get() = _keysJson.getString("ViewArtist")
    val Title: String get() = _keysJson.getString("Title")
    val Duration: String get() = _keysJson.getString("Duration")
    val Year: String get() = _keysJson.getString("Year")
    val ViewAlbum: String get() = _keysJson.getString("ViewAlbum")
    val SearchYourMusic: String get() = _keysJson.getString("SearchYourMusic")
    val NoResultsFound: String get() = _keysJson.getString("NoResultsFound")
    val AlbumCount: String get() = _keysJson.getString("AlbumCount")
    val TrackCount: String get() = _keysJson.getString("TrackCount")
    val FilteringResults: String get() = _keysJson.getString("FilteringResults")
    val Appearance: String get() = _keysJson.getString("Appearance")
    val About: String get() = _keysJson.getString("About")
    val Github: String get() = _keysJson.getString("Github")
    val Play: String get() = _keysJson.getString("Play")
    val Previous: String get() = _keysJson.getString("Previous")
    val Next: String get() = _keysJson.getString("Next")
    val Pause: String get() = _keysJson.getString("Pause")
    val Done: String get() = _keysJson.getString("Done")
    val Groove: String get() = _keysJson.getString("Groove")
    val SongsFilterPattern: String get() = _keysJson.getString("SongsFilterPattern")
    val Reset: String get() = _keysJson.getString("Reset")
    val Theme: String get() = _keysJson.getString("Theme")
    val CheckForUpdates: String get() = _keysJson.getString("CheckForUpdates")
    val Version: String get() = _keysJson.getString("Version")
    val ShufflePlay: String get() = _keysJson.getString("ShufflePlay")
    val ViewAlbumArtist: String get() = _keysJson.getString("ViewAlbumArtist")
    val Stop: String get() = _keysJson.getString("Stop")
    val All: String get() = _keysJson.getString("All")
    val FadePlaybackInOut: String get() = _keysJson.getString("FadePlaybackInOut")
    val RequireAudioFocus: String get() = _keysJson.getString("RequireAudioFocus")
    val IgnoreAudioFocusLoss: String get() = _keysJson.getString("IgnoreAudioFocusLoss")
    val Player: String get() = _keysJson.getString("Player")
    val PlayOnHeadphonesConnect: String get() = _keysJson.getString("PlayOnHeadphonesConnect")
    val PauseOnHeadphonesDisconnect: String get() = _keysJson.getString("PauseOnHeadphonesDisconnect")
    val Genre: String get() = _keysJson.getString("Genre")
    val DamnThisIsSoEmpty: String get() = _keysJson.getString("DamnThisIsSoEmpty")
    val PrimaryColor: String get() = _keysJson.getString("PrimaryColor")
    val PlayAll: String get() = _keysJson.getString("PlayAll")
    val ForYou: String get() = _keysJson.getString("ForYou")
    val SuggestedAlbums: String get() = _keysJson.getString("SuggestedAlbums")
    val SuggestedArtists: String get() = _keysJson.getString("SuggestedArtists")
    val RecentlyAddedSongs: String get() = _keysJson.getString("RecentlyAddedSongs")
    val ClearSongCache: String get() = _keysJson.getString("ClearSongCache")
    val SongCacheCleared: String get() = _keysJson.getString("SongCacheCleared")
    val AlbumArtists: String get() = _keysJson.getString("AlbumArtists")
    val Genres: String get() = _keysJson.getString("Genres")
    val Cancel: String get() = _keysJson.getString("Cancel")
    val HomeTabs: String get() = _keysJson.getString("HomeTabs")
    val SelectAtleast2orAtmost5Tabs: String get() = _keysJson.getString("SelectAtleast2orAtmost5Tabs")
    val Folders: String get() = _keysJson.getString("Folders")
    val Invisible: String get() = _keysJson.getString("Invisible")
    val AlwaysVisible: String get() = _keysJson.getString("AlwaysVisible")
    val VisibleWhenActive: String get() = _keysJson.getString("VisibleWhenActive")
    val BottomBarLabelVisibility: String get() = _keysJson.getString("BottomBarLabelVisibility")
    val Playlists: String get() = _keysJson.getString("Playlists")
    val NewPlaylist: String get() = _keysJson.getString("NewPlaylist")
    val ImportPlaylist: String get() = _keysJson.getString("ImportPlaylist")
    val NoInAppPlaylistsFound: String get() = _keysJson.getString("NoInAppPlaylistsFound")
    val NoLocalPlaylistsFound: String get() = _keysJson.getString("NoLocalPlaylistsFound")
    val Custom: String get() = _keysJson.getString("Custom")
    val Playlist: String get() = _keysJson.getString("Playlist")
    val AddSongs: String get() = _keysJson.getString("AddSongs")
    val AddToPlaylist: String get() = _keysJson.getString("AddToPlaylist")
    val IsLocalPlaylist: String get() = _keysJson.getString("IsLocalPlaylist")
    val Yes: String get() = _keysJson.getString("Yes")
    val No: String get() = _keysJson.getString("No")
    val ManageSongs: String get() = _keysJson.getString("ManageSongs")
    val Delete: String get() = _keysJson.getString("Delete")
    val DeletePlaylist: String get() = _keysJson.getString("DeletePlaylist")
    val TrackNumber: String get() = _keysJson.getString("TrackNumber")
    val Tree: String get() = _keysJson.getString("Tree")
    val Loading: String get() = _keysJson.getString("Loading")
    val Name: String get() = _keysJson.getString("Name")
    val AddFolder: String get() = _keysJson.getString("AddFolder")
    val BlacklistFolders: String get() = _keysJson.getString("BlacklistFolders")
    val WhitelistFolders: String get() = _keysJson.getString("WhitelistFolders")
    val PickFolder: String get() = _keysJson.getString("PickFolder")
    val InvalidM3UFile: String get() = _keysJson.getString("InvalidM3UFile")
    val Discord: String get() = _keysJson.getString("Discord")
    val Reddit: String get() = _keysJson.getString("Reddit")
    val ReportAnIssue: String get() = _keysJson.getString("ReportAnIssue")
    val NoFoldersFound: String get() = _keysJson.getString("NoFoldersFound")
    val SleepTimer: String get() = _keysJson.getString("SleepTimer")
    val Hours: String get() = _keysJson.getString("Hours")
    val Minutes: String get() = _keysJson.getString("Minutes")
    val QuitAppOnEnd: String get() = _keysJson.getString("QuitAppOnEnd")
    val Favorite: String get() = _keysJson.getString("Favorite")
    val Unfavorite: String get() = _keysJson.getString("Unfavorite")
    val BitDepth: String get() = _keysJson.getString("BitDepth")
    val SamplingRate: String get() = _keysJson.getString("SamplingRate")
    val ShowAudioInformation: String get() = _keysJson.getString("ShowAudioInformation")
    val FastRewindDuration: String get() = _keysJson.getString("FastRewindDuration")
    val FastForwardDuration: String get() = _keysJson.getString("FastForwardDuration")
    val SuggestedAlbumArtists: String get() = _keysJson.getString("SuggestedAlbumArtists")
    val AreYouSureThatYouWantToDeleteThisPlaylist: String get() = _keysJson.getString("AreYouSureThatYouWantToDeleteThisPlaylist")
    val RemoveFromPlaylist: String get() = _keysJson.getString("RemoveFromPlaylist")
    val Speed: String get() = _keysJson.getString("Speed")
    val Pitch: String get() = _keysJson.getString("Pitch")
    val PersistUntilQueueEnd: String get() = _keysJson.getString("PersistUntilQueueEnd")
    val NoLyrics: String get() = _keysJson.getString("NoLyrics")
    val FDroid: String get() = _keysJson.getString("FDroid")
    val IzzyOnDroid: String get() = _keysJson.getString("IzzyOnDroid")
    val MiniPlayer: String get() = _keysJson.getString("MiniPlayer")
    val ShowTrackControls: String get() = _keysJson.getString("ShowTrackControls")
    val ShowSeekControls: String get() = _keysJson.getString("ShowSeekControls")
    val Font: String get() = _keysJson.getString("Font")
    val Codec: String get() = _keysJson.getString("Codec")
    val ControlsLayout: String get() = _keysJson.getString("ControlsLayout")
    val Default: String get() = _keysJson.getString("Default")
    val Traditional: String get() = _keysJson.getString("Traditional")
    val Enabled: String get() = _keysJson.getString("Enabled")
    val Disabled: String get() = _keysJson.getString("Disabled")
    val ShowUpdateToast: String get() = _keysJson.getString("ShowUpdateToast")
    val PlaylistStoreLocation: String get() = _keysJson.getString("PlaylistStoreLocation")
    val AppBuiltIn: String get() = _keysJson.getString("AppBuiltIn")
    val LocalStorage: String get() = _keysJson.getString("LocalStorage")
    val SystemLightDark: String get() = _keysJson.getString("SystemLightDark")
    val SystemLightBlack: String get() = _keysJson.getString("SystemLightBlack")
    val FontScale: String get() = _keysJson.getString("FontScale")
    val ContentScale: String get() = _keysJson.getString("ContentScale")
    val ViewGenre: String get() = _keysJson.getString("ViewGenre")
    val Interface: String get() = _keysJson.getString("Interface")
    val Rescan: String get() = _keysJson.getString("Rescan")
    val Updates: String get() = _keysJson.getString("Updates")
    val Help: String get() = _keysJson.getString("Help")
    val ShareSong: String get() = _keysJson.getString("ShareSong")
    val PauseOnCurrentSongEnd: String get() = _keysJson.getString("PauseOnCurrentSongEnd")
    val Export: String get() = _keysJson.getString("Export")
    val RenamePlaylist: String get() = _keysJson.getString("RenamePlaylist")
    val Rename: String get() = _keysJson.getString("Rename")
    val Equalizer: String get() = _keysJson.getString("Equalizer")
    val ConsiderContributing: String get() = _keysJson.getString("ConsiderContributing")
    val Lyrics: String get() = _keysJson.getString("Lyrics")
    val LyricsLayout: String get() = _keysJson.getString("LyricsLayout")
    val ReplaceArtwork: String get() = _keysJson.getString("ReplaceArtwork")
    val SeparatePage: String get() = _keysJson.getString("SeparatePage")
    val MiniPlayerTextMarquee: String get() = _keysJson.getString("MiniPlayerTextMarquee")
    val AddItem: String get() = _keysJson.getString("AddItem")
    val ArtistTagValueSeparators: String get() = _keysJson.getString("ArtistTagValueSeparators")
    val GenreTagValueSeparators: String get() = _keysJson.getString("GenreTagValueSeparators")
    val DiscNumber: String get() = _keysJson.getString("DiscNumber")
    val Browser: String get() = _keysJson.getString("Browser")

    fun PlayingXofY(x: String, y: String): String = _keysJson.getString("PlayingXofY").format(x, y)
    fun UnknownArtistX(x: String): String = _keysJson.getString("UnknownArtistX").format(x)
    fun XSongs(x: String): String = _keysJson.getString("XSongs").format(x)
    fun XArtists(x: String): String = _keysJson.getString("XArtists").format(x)
    fun XAlbums(x: String): String = _keysJson.getString("XAlbums").format(x)
    fun MadeByX(x: String): String = _keysJson.getString("MadeByX").format(x)
    fun NewVersionAvailableX(x: String): String = _keysJson.getString("NewVersionAvailableX").format(x)
    fun XKbps(x: String): String = _keysJson.getString("XKbps").format(x)
    fun XSecs(x: String): String = _keysJson.getString("XSecs").format(x)
    fun UnknownGenreX(x: String): String = _keysJson.getString("UnknownGenreX").format(x)
    fun XGenres(x: String): String = _keysJson.getString("XGenres").format(x)
    fun XFoldersYFiles(x: String, y: String): String = _keysJson.getString("XFoldersYFiles").format(x, y)
    fun XItems(x: String): String = _keysJson.getString("XItems").format(x)
    fun XPlaylists(x: String): String = _keysJson.getString("XPlaylists").format(x)
    fun UnknownPlaylistX(x: String): String = _keysJson.getString("UnknownPlaylistX").format(x)
    fun XFolders(x: String): String = _keysJson.getString("XFolders").format(x)
    fun XBit(x: String): String = _keysJson.getString("XBit").format(x)
    fun XKHz(x: String): String = _keysJson.getString("XKHz").format(x)
    fun ShareFailedX(x: String): String = _keysJson.getString("ShareFailedX").format(x)
    fun ExportFailedX(x: String): String = _keysJson.getString("ExportFailedX").format(x)
    fun ExportedX(x: String): String = _keysJson.getString("ExportedX").format(x)
    fun LaunchingEqualizerFailedX(x: String): String = _keysJson.getString("LaunchingEqualizerFailedX").format(x)
    fun UnknownAlbumX(x: String): String = _keysJson.getString("UnknownAlbumX").format(x)
    fun CopiedXToClipboard(x: String): String = _keysJson.getString("CopiedXToClipboard").format(x)
}
    