"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PhraseyLocaleCodeLayout = void 0;
const cldr_1 = require("../../cldr");
class PhraseyLocaleCodeLayout {
    static parse({ code }) {
        return __awaiter(this, void 0, void 0, function* () {
            const layout = yield cldr_1.PhraseyCldrMiscLayout.parse(code);
            const { characterOrder } = layout.main[code].layout.orientation;
            return this.cldrMiscLayoutCharacterOrderMap[characterOrder];
        });
    }
}
exports.PhraseyLocaleCodeLayout = PhraseyLocaleCodeLayout;
PhraseyLocaleCodeLayout.cldrMiscLayoutCharacterOrderMap = {
    "left-to-right": "ltr",
    "right-to-left": "rtl",
};
