import { PhraseyTranslationStringParts } from "./translation";
import { PhraseyZSchemaKeyType } from "./z";
export interface PhraseyTranslationStringFormatter<T = any> {
    format(parts: PhraseyTranslationStringParts, schema: PhraseyZSchemaKeyType): T;
}
export declare class PhraseyTranslationStringFormats {
    static defaultFormats: Record<string, PhraseyTranslationStringFormatter>;
    static resolve(name: string): PhraseyTranslationStringFormatter;
    static replaceCharacter(value: string, from: string, to: string): string;
    static replaceCharacters(value: string, replacers: Record<string, string>): string;
    static construct<T>(formatter: PhraseyTranslationStringFormatter<T>): PhraseyTranslationStringFormatter<T>;
}
