import { z } from "zod";
export declare const PhraseyZLocaleDirection: z.ZodEnum<["ltr", "rtl"]>;
export declare const PhraseyZLocaleCodeDetailsCode: z.ZodObject<{
    display: z.ZodString;
    native: z.ZodString;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    display: string;
    native: string;
}, {
    code: string;
    display: string;
    native: string;
}>;
export declare const PhraseyZLocaleCodeDetails: z.ZodObject<{
    language: z.ZodObject<{
        display: z.ZodString;
        native: z.ZodString;
        code: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: string;
        display: string;
        native: string;
    }, {
        code: string;
        display: string;
        native: string;
    }>;
    territory: z.ZodOptional<z.ZodObject<{
        display: z.ZodString;
        native: z.ZodString;
        code: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: string;
        display: string;
        native: string;
    }, {
        code: string;
        display: string;
        native: string;
    }>>;
    script: z.ZodOptional<z.ZodObject<{
        display: z.ZodString;
        native: z.ZodString;
        code: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: string;
        display: string;
        native: string;
    }, {
        code: string;
        display: string;
        native: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    language: {
        code: string;
        display: string;
        native: string;
    };
    territory?: {
        code: string;
        display: string;
        native: string;
    } | undefined;
    script?: {
        code: string;
        display: string;
        native: string;
    } | undefined;
}, {
    language: {
        code: string;
        display: string;
        native: string;
    };
    territory?: {
        code: string;
        display: string;
        native: string;
    } | undefined;
    script?: {
        code: string;
        display: string;
        native: string;
    } | undefined;
}>;
export declare const PhraseyZLocale: z.ZodObject<{
    display: z.ZodString;
    native: z.ZodString;
    code: z.ZodString;
    details: z.ZodObject<{
        language: z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>;
        territory: z.ZodOptional<z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>>;
        script: z.ZodOptional<z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    }, {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    }>;
    direction: z.ZodEnum<["ltr", "rtl"]>;
}, "strip", z.ZodTypeAny, {
    code: string;
    display: string;
    native: string;
    details: {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    };
    direction: "ltr" | "rtl";
}, {
    code: string;
    display: string;
    native: string;
    details: {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    };
    direction: "ltr" | "rtl";
}>;
export declare const PhraseyZLocales: z.ZodArray<z.ZodObject<{
    display: z.ZodString;
    native: z.ZodString;
    code: z.ZodString;
    details: z.ZodObject<{
        language: z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>;
        territory: z.ZodOptional<z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>>;
        script: z.ZodOptional<z.ZodObject<{
            display: z.ZodString;
            native: z.ZodString;
            code: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            code: string;
            display: string;
            native: string;
        }, {
            code: string;
            display: string;
            native: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    }, {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    }>;
    direction: z.ZodEnum<["ltr", "rtl"]>;
}, "strip", z.ZodTypeAny, {
    code: string;
    display: string;
    native: string;
    details: {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    };
    direction: "ltr" | "rtl";
}, {
    code: string;
    display: string;
    native: string;
    details: {
        language: {
            code: string;
            display: string;
            native: string;
        };
        territory?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
        script?: {
            code: string;
            display: string;
            native: string;
        } | undefined;
    };
    direction: "ltr" | "rtl";
}>, "many">;
export type PhraseyZLocaleDirection = z.infer<typeof PhraseyZLocaleDirection>;
export type PhraseyZLocaleCodeDetailsCode = z.infer<typeof PhraseyZLocaleCodeDetailsCode>;
export type PhraseyZLocale = z.infer<typeof PhraseyZLocale>;
export type PhraseyZLocalesType = z.infer<typeof PhraseyZLocales>;
